This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 40167 - Installer Crashed during Package Read
Installer Crashed during Package Read
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-10 20:58 EDT by Tom Hutchison
Modified: 2007-03-26 23:44 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-04 14:48:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Debug Output from Anaconda installer (10.64 KB, text/plain)
2001-05-10 20:59 EDT, Tom Hutchison
no flags Details
Second Anaconda Dump file (10.33 KB, text/plain)
2001-05-10 22:07 EDT, Tom Hutchison
no flags Details

  None (edit)
Description Tom Hutchison 2001-05-10 20:58:35 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.7 [en] (Win95; U)

Description of problem:
When doing a GUI upgrade install or text upgrade install the installation gets to the "Package Read" portion of the install Anaconda crashes.  I 
am not a python programmer so all I can do is post the debug output from the window.

How reproducible:
Always

Steps to Reproduce:
1. Select "upgrade"  either custom or default during installation.
2.
3.
	

Actual Results:  Immediate crash to "debug window" in GUI install.  Immediate crash to console window in text install.

Expected Results:  My usual clean, easy fast RedHat Linux install.  This is starting to resemble WinXXXXX installs.

Additional info:

System: PIII
Memory: 196 MB
HD: Seagate 20GB SCSI UW
SCSI Adapter: Adaptec 2940UW
Video: ATI Rage 128

Output from "debug window after crash"
----------------------------------------------------------
Traceback (innermost last):
  File "/usr/bin/anaconda", line 520, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/gui.py", line 391, in run
    self.icw.run ()
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/gui.py", line 879, in run
    mainloop ()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 2554, in mainloop
    _gtk.gtk_main()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 125, in __call__
    ret = apply(self.func, a)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/gui.py", line 500, in nextClicked
    self.setScreen (self.currentScreen, self.nextClicked)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/gui.py", line 610, in setScreen
    new_screen = screen.getScreen ()
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/iw/upgrade_swap_gui.py", line 93, in getScreen
    self.todo.upgradeFindPackages ()
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/todo.py", line 1222, in upgradeFindPackages
    self.getCompsList ()
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/todo.py", line 769, in getCompsList
    self.comps = self.method.readComps(self.hdList)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/image.py", line 17, in readComps
    return ComponentSet(self.tree + '/RedHat/base/comps', hdlist)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/comps.py", line 542, in __init__
    self.readCompsFile(file, self.packages)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/comps.py", line 477, in readCompsFile
    comp.addConditionalPackage (conditional, packages[l])
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/comps.py", line 116, in __getitem__
    return self.packages[item]
KeyError: imlib-devel

Local variables in innermost frame:
self: <comps.HeaderListFromFile instance at 84e3170>
item: imlib-devel

ToDo object:
(itodo
ToDo
p1
(dp2
S'resState'
p3
S''
sS'progressWindow'
p4
NsS'setupFilesystems'
p5
I1
sS'monitorVsync'
p6
S''
sS'videoCardStateNode'
p7
S''
sS'serial'
p8
I0
sS'ddruidReadOnly'
p9
I0
sS'bootdisk'
p10
I0
sS'videoRamState'
p11
S''
sS'monitorOriginalName'
p12
S''
sS'language'
p13
(itodo
Language
(dp14
S'langInfoByName'
p15
(dp16
S'Arabic (Yemen)'
p17
(S'ar_YE'
S'iso06'
S'LatArCyrHeb-16'
tsS'Spanish (Argentina)'
p18
(S'es_AR'
S'iso01'
S'lat0-sun16'
tsS'Italian (Italy)'
p19
(S'it_IT@euro'
S'iso15'
S'lat0-sun16'
tsS'Arabic (Lebanon)'
p20
(S'ar_LB'
S'iso06'
S'LatArCyrHeb-16'
tsS'Spanish (Guatemala)'
p21
(S'es_GT'
S'iso01'
S'lat0-sun16'
tsS'Malay (Malaysia)'
p22
(S'ms_MY'
S'iso01'
S'lat0-sun16'
tsS'Arabic (Libyan Arab Jamahiriya)'
p23
(S'ar_LY'
S'iso06'
S'LatArCyrHeb-16'
tsS'Arabic (Oman)'
p24
(S'ar_OM'
S'iso06'
S'LatArCyrHeb-16'
tsS'Arabic (Iraq)'
p25
(S'ar_IQ'
S'iso06'
S'LatArCyrHeb-16'
tsS'Arabic (Kuwait)'
p26
(S'ar_KW'
S'iso06'
S'LatArCyrHeb-16'
tsS'English (South Africa)'
p27
(S'en_ZA'
S'iso01'
S'lat0-sun16'
tsS'French (Switzerland)'
p28
(S'fr_CH'
S'iso01'
S'lat0-sun16'
tsS'Arabic (Bahrein)'
p29
(S'ar_BH'
S'iso06'
S'LatArCyrHeb-16'
tsS'Croatian'
p30
(S'hr_HR'
S'iso02'
S'lat2-sun16'
tsS'French (France)'
p31
(S'fr_FR@euro'
S'iso15'
S'lat0-sun16'
tsS'Greenlandic (Greenland)'
p32
(S'kl_GL'
S'iso01'
S'lat0-sun16'
tsS'Korean (Republic of Korea)'
p33
(S'ko_KR.euckr'
S'iso01'
S'lat0-16'
tsS'Ukrainian'
p34
(S'uk_UA'
S'koi8-u'
S'cyr-sun16'
tsS'Spanish (Mexico)'
p35
(S'es_MX'
S'iso01'
S'lat0-sun16'
tsS'Greek'
p36
(S'el_GR'
S'iso07'
S'gr.f16'
tsS'Spanish (El Salvador)'
p37
(S'es_SV'
S'iso01'
S'lat0-sun16'
tsS'Spanish (Peru)'
p38
(S'es_PE'
S'iso01'
S'lat0-sun16'
tsS'Spanish (Honduras)'
p39
(S'es_HN'
S'iso01'
S'lat0-sun16'
tsS'Spanish (Costa Rica)'
p40
(S'es_CR'
S'iso01'
S'lat0-sun16'
tsS'English (Denmark)'
p41
(S'en_DK'
S'iso01'
S'lat0-sun16'
tsS'Dutch (Netherlands)'
p42
(S'nl_NL@euro'
S'iso15'
S'lat0-sun16'
tsS'Serbian (Yugoslavia)'
p43
(S'sr_YU@cyrillic'
S'iso05'
S'cyr-sun16'
tsS'Russian (Ukraine)'
p44
(S'ru_UA'
S'koi8-u'
S'cyr-sun16'
tsS'Portuguese (Portugal)'
p45
(S'pt_PT@euro'
S'iso15'
S'lat0-sun16'
tsS'Afrikaans (South Africa)'
p46
(S'af_ZA'
S'iso01'
S'lat0-sun16'
tsS'Norwegian'
p47
(S'no_NO'
S'iso01'
S'lat0-sun16'
tsS'Arabic (Morocco)'
p48
(S'ar_MA'
S'iso06'
S'LatArCyrHeb-16'
tsS'English (Philippines)'
p49
(S'en_PH'
S'iso01'
S'lat0-sun16'
tsS'Arabic (Algeria)'
p50
(S'ar_DZ'
S'iso06'
S'LatArCyrHeb-16'
tsS'Indonesian'
p51
(S'id_ID'
S'iso01'
S'lat0-sun16'
tsS'Danish'
p52
(S'da_DK'
S'iso01'
S'lat0-sun16'
tsS'Chinese (Taiwan R.O.C.)'
p53
(S'zh_TW.euctw'
S'iso01'
S'lat0-16'
tsS'Faroese (Faroe Islands)'
p54
(S'fo_FO'
S'iso01'
S'lat0-sun16'
tsS'Galician (Spain)'
p55
(S'gl_ES@euro'
S'iso15'
S'lat0-sun16'
tsS'English (New Zealand)'
p56
(S'en_NZ'
S'iso01'
S'lat0-sun16'
tsS'Spanish (Bolivia)'
p57
(S'es_BO'
S'iso01'
S'lat0-sun16'
tsS'Cornish (Britain)'
p58
(S'kw_GB'
S'iso01'
S'lat0-sun16'
tsS'Arabic (United Arab Emirates)'
p59
(S'ar_AE'
S'iso06'
S'LatArCyrHeb-16'
tsS'German (Austria)'
p60
(S'de_AT@euro'
S'iso15'
S'lat0-sun16'
tsS'Romanian'
p61
(S'ro_RO'
S'iso02'
S'lat2-sun16'
tsS'Spanish (Paraguay)'
p62
(S'es_PY'
S'iso01'
S'lat0-sun16'
tsS'Hebrew (Israel)'
p63
(S'he_IL'
S'iso08'
S'LatArCyrHeb-16'
tsS'English (USA)'
p64
(S'en_US'
S'iso01'
S'lat0-sun16'
tsS'Spanish (USA)'
p65
(S'es_US'
S'iso01'
S'lat0-sun16'
tsS'Portuguese (Brasil)'
p66
(S'pt_BR'
S'iso01'
S'lat0-sun16'
tsS'Spanish (Equador)'
p67
(S'es_EC'
S'iso01'
S'lat0-sun16'
tsS'Polish'
p68
(S'pl_PL'
S'iso02'
S'lat2-sun16'
tsS'Slovak'
p69
(S'sk_SK'
S'iso02'
S'lat2-sun16'
tsS'Macedonian'
p70
(S'mk_MK'
S'iso05'
S'cyr-sun16'
tsS'Spanish (Spain)'
p71
(S'es_ES@euro'
S'iso15'
S'lat0-sun16'
tsS'Spanish (Chile)'
p72
(S'es_CL'
S'iso01'
S'lat0-sun16'
tsS'Arabic (Syrian Arab Republic)'
p73
(S'ar_SY'
S'iso06'
S'LatArCyrHeb-16'
tsS'Czech'
p74
(S'cs_CZ'
S'iso02'
S'lat2-sun16'
tsS'Irish'
p75
(S'ga_IE@euro'
S'iso15'
S'lat0-sun16'
tsS'Arabic (Jordan)'
p76
(S'ar_JO'
S'iso06'
S'LatArCyrHeb-16'
tsS'Italian (Switzerland)'
p77
(S'it_CH'
S'iso01'
S'lat0-sun16'
tsS'German (Belgium)'
p78
(S'de_BE@euro'
S'iso15'
S'lat0-sun16'
tsS'Albanian'
p79
(S'sq_AL'
S'iso01'
S'lat0-sun16'
tsS'Finnish'
p80
(S'fi_FI@euro'
S'iso15'
S'lat0-sun16'
tsS'Swedish (Sweden)'
p81
(S'sv_SE'
S'iso01'
S'lat0-sun16'
tsS'English (Singapore)'
p82
(S'en_SG'
S'iso01'
S'lat0-sun16'
tsS'Dutch (Belgium)'
p83
(S'nl_BE@euro'
S'iso15'
S'lat0-sun16'
tsS'Spanish (Panama)'
p84
(S'es_PA'
S'iso01'
S'lat0-sun16'
tsS'Spanish (Venezuela)'
p85
(S'es_VE'
S'iso01'
S'lat0-sun16'
tsS'English (Great Britain)'
p86
(S'en_GB'
S'iso01'
S'lat0-sun16'
tsS'Russian'
p87
(S'ru_RU.koi8r'
S'koi8-u'
S'cyr-sun16'
tsS'Norwegian, Nynorsk (Norway)'
p88
(S'nn_NO'
S'iso01'
S'lat0-sun16'
tsS'English (Zimbabwe)'
p89
(S'en_ZW'
S'iso01'
S'lat0-sun16'
tsS'Spanish (Nicaragua)'
p90
(S'es_NI'
S'iso01'
S'lat0-sun16'
tsS'German (Luxemburg)'
p91
(S'de_LU@euro'
S'iso15'
S'lat0-sun16'
tsS'Spanish (Colombia)'
p92
(S'es_CO'
S'iso01'
S'lat0-sun16'
tsS'Basque (Spain)'
p93
(S'eu_ES@euro'
S'iso15'
S'lat0-sun16'
tsS'Arabic (Qatar)'
p94
(S'ar_QA'
S'iso06'
S'LatArCyrHeb-16'
tsS'Arabic (Egypt)'
p95
(S'ar_EG'
S'iso06'
S'LatArCyrHeb-16'
tsS'French (Belgium)'
p96
(S'fr_BE@euro'
S'iso15'
S'lat0-sun16'
tsS'English (Ireland)'
p97
(S'en_IE@euro'
S'iso15'
S'lat0-sun16'
tsS'Hungarian'
p98
(S'hu_HU'
S'iso02'
S'lat2-sun16'
tsS'Arabic (Tunisia)'
p99
(S'ar_TN'
S'iso06'
S'LatArCyrHeb-16'
tsS'French (Luxemburg)'
p100
(S'fr_LU@euro'
S'iso15'
S'lat0-sun16'
tsS'Japanese'
p101
(S'ja_JP.eucJP'
S'iso01'
S'lat0-16'
tsS'Swedish (Finland)'
p102
(S'sv_FI@euro'
S'iso15'
S'lat0-sun16'
tsS'Arabic (Saudi Arabia)'
p103
(S'ar_SA'
S'iso06'
S'LatArCyrHeb-16'
tsS'Spanish (Dominican Republic)'
p104
(S'es_DO'
S'iso01'
S'lat0-sun16'
tsS'French (Canada)'
p105
(S'fr_CA'
S'iso01'
S'lat0-sun16'
tsS'English (Canada)'
p106
(S'en_CA'
S'iso01'
S'lat0-sun16'
tsS'German (Germany)'
p107
(S'de_DE@euro'
S'iso15'
S'lat0-sun16'
tsS'Slovenian (Slovenia)'
p108
(S'sl_SI'
S'iso02'
S'lat2-sun16'
tsS'Spanish (Uruguay)'
p109
(S'es_UY'
S'iso01'
S'lat0-sun16'
tsS'German (Switzerland)'
p110
(S'de_CH'
S'iso01'
S'lat0-sun16'
tsS'English (Hong Kong)'
p111
(S'en_HK'
S'iso01'
S'lat0-sun16'
tsS'English (Australia)'
p112
(S'en_AU'
S'iso01'
S'lat0-sun16'
tsS'Catalan (Spain)'
p113
(S'ca_ES@euro'
S'iso15'
S'lat0-sun16'
tsS'Spanish (Puerto Rico)'
p114
(S'es_PR'
S'iso01'
S'lat0-sun16'
tsS'Turkish'
p115
(S'tr_TR'
S'iso09'
S'lat5-sun16'
tsS'Estonian'
p116
(S'et_EE'
S'iso01'
S'lat0-sun16'
tsS'Arabic (Sudan)'
p117
(S'ar_SD'
S'iso06'
S'LatArCyrHeb-16'
tsS'Icelandic'
p118
(S'is_IS'
S'iso01'
S'lat0-sun16'
tsS'English (Botswana)'
p119
(S'en_BW'
S'iso01'
S'lat0-sun16'
tsS'Manx Gaelic (Britain)'
p120
(S'gv_GB'
S'iso01'
S'lat0-sun16'
tssS'allSupportedLangs'
p121
(lp122
g46
ag79
ag50
ag29
ag95
ag25
ag76
ag26
ag20
ag23
ag48
ag24
ag94
ag103
ag117
ag73
ag99
ag59
ag17
ag93
ag113
ag53
ag58
ag30
ag74
ag52
ag83
ag42
ag112
ag119
ag106
ag41
ag86
ag111
ag97
ag56
ag49
ag82
ag27
ag64
ag89
ag116
ag54
ag80
ag96
ag105
ag31
ag100
ag28
ag55
ag60
ag78
ag107
ag91
ag110
ag36
ag32
ag63
ag98
ag118
ag51
ag75
ag19
ag77
ag101
ag33
ag70
ag22
ag120
ag47
ag88
ag68
ag66
ag45
ag61
ag87
ag44
ag43
ag69
ag108
ag18
ag57
ag72
ag92
ag40
ag104
ag37
ag67
ag21
ag39
ag35
ag90
ag84
ag62
ag38
ag114
ag71
ag65
ag109
ag85
ag102
ag81
ag115
ag34
asS'info'
p123
(dp124
S'SUPPORTED'
p125
NssS'supported'
p126
(lsS'default'
p127
NsbsS'instClass'
p128
(iinstallclass
DefaultInstall
p129
(dp130
S'rootPasswordCrypted'
p131
I0
sS'raidList'
p132
(lsS'nameserver'
p133
S''
sS'x'
NsS'rootPassword'
p134
NsS'makeBootdisk'
p135
I0
sS'installType'
p136
NsS'postScript'
p137
NsS'earlySwapOn'
p138
I0
sS'networkDevice'
p139
NsS'fstab'
p140
(lsS'clearText'
p141
NsS'lilo'
p142
(S'mbr'
p143
I1
S''
tsg13
NsS'name'
p144
S''
sS'postInChroot'
p145
I0
sS'pixmap'
p146
S''
sS'partitions'
p147
(lsS'clearType'
p148
NsS'gateway'
p149
S''
sS'mouse'
p150
NsS'packages'
p151
NsS'timezone'
p152
NsS'zeroMbr'
p153
I0
sS'keyboard'
p154
NsS'groups'
p155
NsS'bootProto'
p156
NsS'netmask'
p157
S''
sS'langdefault'
p158
NsS'skipSteps'
p159
(dsS'auth'
p160
(I1
I1
I0
S''
I0
S''
I0
I0
S''
S''
I0
S''
S''
S''
I0
S''
S''
tsS'hostname'
p161
NsS'langsupported'
p162
NsS'showgroups'
p163
NsS'ip'
p164
S''
sS'firewall'
p165
(I-1
I1
(lp166
S''
I0
I0
I0
I0
I0
I0
tsS'defaultRunlevel'
p167
NsS'desktop'
p168
S''
sS'clearPartText'
p169
NsS'clearParts'
p170
I0
sbsS'bdstate'
p171
S''
sS'extraModules'
p172
(lp173
sS'rootpassword'
p174
NsS'fdDevice'
p175
S'fd0'
p176
sS'installSystem'
p177
I1
sS'comps'
p178
NsS'verifiedState'
p179
Nsg160
(itodo
Authentication
(dp180
S'useNIS'
p181
I0
sS'nisServer'
p182
S''
sS'useLdap'
p183
I0
sS'krb5Kdc'
p184
S''
sS'ldapTLS'
p185
S''
sS'useHesiod'
p186
I0
sS'ldapServer'
p187
S''
sS'nisDomain'
p188
S''
sS'krb5Realm'
p189
S''
sS'useLdapauth'
p190
I0
sS'hesiodRhs'
p191
S''
sS'useShadow'
p192
I1
sS'nisuseBroadcast'
p193
I0
sS'useKrb5'
p194
I0
sS'useMD5'
p195
I1
sS'ldapBasedn'
p196
S''
sS'krb5Admin'
p197
S''
sS'hesiodLhs'
p198
S''
sS'hesiodDlhs'
p199
S''
sbsS'users'
p200
NsS'hdList'
p201
NsS'dhcpState'
p202
S''
sS'method'
p203
(iimage
CdromInstallMethod
p204
(dp205
g4

<failed>
Comment 1 Tom Hutchison 2001-05-10 20:59:23 EDT
Created attachment 18066 [details]
Debug Output from Anaconda installer
Comment 2 Tom Hutchison 2001-05-10 22:07:20 EDT
Created attachment 18086 [details]
Second Anaconda Dump file
Comment 3 Brent Fox 2001-05-11 15:19:15 EDT
I suspect that you have a bad cd or something got corrupted during the download.
 Did you verify the md5sums of the ISOs before you burned them?
Comment 4 Tom Hutchison 2001-05-11 19:20:09 EDT
I am using "store bought" CDs bought directly from RedHat.  I suspected the CD-ROM drive also so I swapped it with another SCSI CD-Rom Drive 
without success.
Last night I downloaded the ISO's from RedHat, checked them against the MD5SUM file and they were ok.  Today I tried a HD install from a partition, got 
through the "package read" but then Anaconda crashed with a "seg. 11" during the dependency check.  I really want to upgrade my production servers to 
7.1, but I don't trust anaconda not to crash.  Any suggestions?
Comment 5 Brent Fox 2001-05-14 15:07:03 EDT
Hmm...try booting with 'linux ide=nodma'.  Does that help?
Comment 6 Tom Hutchison 2001-05-22 22:15:15 EDT
Tried booting with linux ide=nodma, expert ide=nodma, text ide=nodma  without success.  Anaconda still crashes either during "Package Read" or 
during the "Dependency Check".  This is both with RedHat store bought CD's, and downloaded ISO's checked with MD5.

Today tried a totally different computer, A micron dual Pentium III MB.  I can't boot from the cd-rom so created a boot disk, from "boot.img".  Crashed 
during the Kernel boot.  Sigh.....
Comment 7 Brent Fox 2001-05-24 13:07:06 EDT
I don't really know what to tell you.  We have not seen anything like this
behavior in our testing.  One option is to upgrade your 7.0 systems to 7.1 by
using RPM manually.  

I'm curious to know if the installer will work on a regular install (not upgrade).
Comment 8 Brent Fox 2001-06-04 10:32:59 EDT
Have you had any luck with this issue?
Comment 9 Tom Hutchison 2001-06-04 10:48:51 EDT
I hacked away at this this weekend.  I gave up on 7.1 and tried Mandradke 8.0
but it hung up during the install also.  So in desperation, I tried something a
colleague had told me about.  I "low level" formatted my SCSI UW drive with the
Adaptec 2940UW controller bios, verified it.  I also pulled out a 32MB DIMM and
a 64MB DIMM and left in a 64MB DIMM thinking I might have some bad ram.

I was able to finally install 7.1 and run up2date sucessfully.  I reinstalled
the 64MB DIMM and it now is running ok.  However, Gnome-terminal has crashed
intermittly so I may still have some problems.

I think low-level formatting the SCSI disk may have been the key.
Comment 10 Tom Hutchison 2001-06-04 10:51:15 EDT
In answer to your previous question.  No I was not successfull doing a fresh
install before I low-level formatted the SCSI HD.
Comment 11 Brent Fox 2001-06-04 14:48:21 EDT
That's very strange.  I guess the drive could have had bad sectors or something
and perhaps low-level formatting fixes the problem.  The fix *could* be
temporary, though.  If you start seeing the same kinds of problems in the
future, I would start to wonder if something is going bad with the drive.

Note You need to log in before you can comment on or make changes to this bug.